

.timeline {
  display: flex;
  flex-direction: column;
  margin: 20px auto;
  position: relative;
}

.timeline__event {
  margin-bottom: 20px;
  position: relative;
  display: flex;
  margin: 20px 0;
  border-radius: 6px;
  align-self: center;
  width: 58vw;
  height: 18rem !important;
}

.timeline__event:nth-child(2n + 1) {
  flex-direction: row-reverse;
}

.timeline__event:nth-child(2n + 1) .timeline__event__date {
  border-radius: 0 6px 6px 0;
}

.timeline__event:nth-child(2n + 1) .timeline__event__content {
  border-radius: 6px 0 0 6px;
}

.timeline__event:nth-child(2n + 1) .timeline__event__icon:before {
  content: "";
  width: 2px;
  height: 270%;
  background: #1bac4b;
  position: absolute;
  top: 0%;
  left: 50%;
  right: auto;
  z-index: -1;
  transform: translateX(-50%);
  animation: fillTop 2s forwards 0s ease-in-out;
}

.timeline__event:nth-child(2n + 1) .timeline__event__icon:after {
  content: "";
  width: 100%;
  height: 2px;
  background: #1bac4b;
  position: absolute;
  right: 0;
  z-index: -1;
  top: 50%;
  left: auto;
  transform: translateY(-50%);
  animation: fillLeft 2s forwards 0s ease-in-out;
}

.timeline__event__title {
  font-size: 1rem;
  line-height: 1.4;
  text-transform: uppercase;
  font-weight: 600;
  color: skyblue;
  letter-spacing: 1.5px;
}

.timeline__event__content {
  padding: 20px;
  box-shadow: 0 30px 60px -12px rgba(50, 50, 93, 0.25),
    0 18px 36px -18px rgba(0, 0, 0, 0.3), 0 -12px 36px -8px rgba(0, 0, 0, 0.025);
  background: #fff;
  width: calc(40vw - 84px);
  border-radius: 0 6px 6px 0;
}

.timeline__event__date {
  color: #f6a4ec;
  font-size: 1.5rem;
  font-weight: 600;
  background: #1bac4b;
  display: flex;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  padding: 0 20px;
  border-radius: 6px 0 0 6px;
}

.timeline__event__icon {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #1bac4b;
  padding: 20px;
  align-self: center;
  margin: 0 20px;
  background: #1bac4b;
  border-radius: 100%;
  width: 40px;
  box-shadow: 0 30px 60px -12px rgba(50, 50, 93, 0.25),
    0 18px 36px -18px rgba(0, 0, 0, 0.3), 0 -12px 36px -8px rgba(0, 0, 0, 0.025);
  padding: 40px;
  height: 40px;
  position: relative;
}

.timeline__event__icon i {
  font-size: 32px;
}

.timeline__event__icon:before {
  content: "";
  width: 2px;
  height: 230%;
  background: #1bac4b;
  position: absolute;
  top: 0%;
  z-index: -1;
  left: 50%;
  transform: translateX(-50%);
  animation: fillTop 2s forwards 4s ease-in-out;
}

.timeline__event__icon:after {
  content: "";
  width: 100%;
  height: 2px;
  background: #1bac4b;
  position: absolute;
  left: 0%;
  z-index: -1;
  top: 50%;
  transform: translateY(-50%);
  animation: fillLeftOdd 2s forwards 4s ease-in-out;
}

.timeline__event__description {
  flex-basis: 60%;
}

.timeline__event--type2:after {
  background: #1bac4b;
}

.timeline__event--type2 .timeline__event__date {
  color: #87bbfe;
  background: #1bac4b;
}

.timeline__event--type2:nth-child(2n + 1) .timeline__event__icon:before,
.timeline__event--type2:nth-child(2n + 1) .timeline__event__icon:after {
  background: #1bac4b;
}

.timeline__event--type2 .timeline__event__icon {
  background: #1bac4b;
  color: #555ac0;
}

.timeline__event--type2 .timeline__event__icon:before,
.timeline__event--type2 .timeline__event__icon:after {
  background: #1bac4b;
}

.timeline__event--type2 .timeline__event__title {
  color: skyblue;
}

.timeline__event--type3:after {
  background: #24b47e;
}

.timeline__event--type3 .timeline__event__date {
  color: #aff1b6;
  background-color: #24b47e;
}

.timeline__event--type3:nth-child(2n + 1) .timeline__event__icon:before,
.timeline__event--type3:nth-child(2n + 1) .timeline__event__icon:after {
  background: #1bac4b;
}

.timeline__event--type3 .timeline__event__icon {
  background: #1bac4b;
  color: #24b47e;
}

.timeline__event--type3 .timeline__event__icon:before,
.timeline__event--type3 .timeline__event__icon:after {
  background: #1bac4b;
}

.timeline__event--type3 .timeline__event__title {
  color: skyblue;
}

.timeline__event:last-child .timeline__event__icon:before {
  content: none;
}

@media (max-width: 786px) {
  .timeline__event {
    flex-direction: column;
    align-self: center;
  }

  .timeline__event__content {
    width: 100%;
  }

  .timeline__event__icon {
    border-radius: 6px 6px 0 0;
    width: 100%;
    margin: 0;
    box-shadow: none;
  }

  .timeline__event__icon:before,
  .timeline__event__icon:after {
    display: none;
  }

  .timeline__event__date {
    border-radius: 0;
    padding: 20px;
  }

  .timeline__event:nth-child(2n + 1) {
    flex-direction: column;
    align-self: center;
  }

  .timeline__event:nth-child(2n + 1) .timeline__event__date {
    border-radius: 0;
    padding: 20px;
  }

  .timeline__event:nth-child(2n + 1) .timeline__event__icon {
    border-radius: 6px 6px 0 0;
    margin: 0;
  }
}

@keyframes fillLeft {
  100% {
    right: 100%;
  }
}

@keyframes fillTop {
  100% {
    top: 100%;
  }
}

@keyframes fillLeftOdd {
  100% {
    left: 100%;
  }
}
.pp {
    font-size: 0.8rem;
}

.img-in-time-line {
  width: 18rem;
  height: 23rem;
  object-fit: cover;
}

@media (max-width:499px) {
  .img-in-time-line {
      width: 100%;
      height: 10rem;
      flex-direction: column;
    align-self: center;
  }

  .timeline__event__content {
      /* width: 203px; */
      height: 75px !important;
      flex-direction: column;
    align-self: center;
  }
  .pp {
    display: none;
  }

  .timeline__event__title {
    font-size: 0.6rem;
    line-height: 1.4;
    text-transform: uppercase;
    font-weight: 600;
    color: skyblue;
    letter-spacing: 1.5px;
}
.timeline__event {
  margin-bottom: 20px;
  position: relative;
  display: flex;
  margin: 20px 0;
  border-radius: 6px;
  align-self: center;
  /* width: 0vw; */
  height: 18rem !important;
}

 
}

@media (min-width: 500px) and (max-width: 600px) {
  .img-in-time-line {
    width: 100%;
    height: 10rem;
    flex-direction: column;
    align-self: center;
  }
  .pp {
    display: none;
  }
  .timeline__event__content  {
    /* width: 290px; */
    height: 75px !important;
    flex-direction: column;
    align-self: center;
  }
  .timeline__event__title {
    font-size: 0.6rem;
  }
  .timeline__event {
    margin-bottom: 20px;
    position: relative;
    display: flex;
    margin: 20px 0;
    border-radius: 6px;
    align-self: center;
    /* width: 0vw; */
    height: 18rem !important;
  }
 

}

@media (min-width: 601px) and (max-width: 768px) {
  .img-in-time-line {
    width: 250px;
    flex-direction: column;
    align-self: center;
  }
}

@media(min-width: 769px) and (max-width: 1380px) {
 
  .pp {
    font-size: 0.6rem;
    line-height: 23px;
}
}

@media (min-width: 769px) {
  .img-in-time-line {
    width: 18rem;
    height: 18rem;
    object-fit: cover;
    flex-direction: column;
    align-self: center;
  }
 

}

.title-date {
    color: #fff !important;
}